### Hierarchy

- DetectFacesTaskBase<FaceDetection | undefined>
  - DetectSingleFaceTask

## Index

### Constructors

- constructor

### Methods

- run
- then
- withAgeAndGender
- withFaceExpressions
- withFaceLandmarks

## Constructors

### constructor

- new DetectSingleFaceTask(input: any, options?: FaceDetectionOptions): DetectSingleFaceTask

- Inherited from DetectFacesTaskBase.constructor

  - Defined in globalApi/DetectFacesTasks.ts:15

  #### Parameters

  - ##### input: any

  - ##### options: FaceDetectionOptions = ...

  #### Returns DetectSingleFaceTask

## Methods

### run

- run(): Promise<undefined | FaceDetection>

- Overrides DetectFacesTaskBase.run

  - Defined in globalApi/DetectFacesTasks.ts:65

  #### Returns Promise<undefined | FaceDetection>

### then

- then(onfulfilled: (value: undefined | FaceDetection) => undefined | FaceDetection | PromiseLike<undefined | FaceDetection>): Promise<undefined | FaceDetection>

- Inherited from DetectFacesTaskBase.then

  - Defined in globalApi/ComposableTask.ts:3

  #### Parameters

  - ##### onfulfilled: (value: undefined | FaceDetection) => undefined | FaceDetection | PromiseLike<undefined | FaceDetection>

    - - (value: undefined | FaceDetection): undefined | FaceDetection | PromiseLike<undefined | FaceDetection>

      - #### Parameters

        - ##### value: undefined | FaceDetection

        #### Returns undefined | FaceDetection | PromiseLike<undefined | FaceDetection>

  #### Returns Promise<undefined | FaceDetection>

### withAgeAndGender

- withAgeAndGender(): PredictSingleAgeAndGenderTask<{ detection: FaceDetection }>

- - Defined in globalApi/DetectFacesTasks.ts:97

  #### Returns PredictSingleAgeAndGenderTask<{ detection: FaceDetection }>

### withFaceExpressions

- withFaceExpressions(): PredictSingleFaceExpressionsTask<{ detection: FaceDetection }>

- - Defined in globalApi/DetectFacesTasks.ts:90

  #### Returns PredictSingleFaceExpressionsTask<{ detection: FaceDetection }>

### withFaceLandmarks

- withFaceLandmarks(useTinyLandmarkNet?: boolean): DetectSingleFaceLandmarksTask<{ detection: FaceDetection }>

- - Defined in globalApi/DetectFacesTasks.ts:82

  #### Parameters

  - ##### useTinyLandmarkNet: boolean = false

  #### Returns DetectSingleFaceLandmarksTask<{ detection: FaceDetection }>